version: '3.8'

services:
  web:
    build: .
    image: minha_aplicacao_flask
    ports:
      - "5001:5001"
    environment:
      - DATABASE_HOST=db
      - DATABASE_USER=root
      - DATABASE_PASSWORD=senha
      - DATABASE_NAME=meubanco
    depends_on:
      - db

  db:
    image: mysql:latest
    environment:
      MYSQL_ROOT_PASSWORD: senha
      MYSQL_DATABASE: meubanco
    volumes:
      - mysql_data:/var/lib/mysql

volumes:
  mysql_data:
